#ifndef __MISC_H
#define __MISC_H

#include "at32f403a_407.h"

#define MB_RX_ENABLE gpio_bits_reset(GPIOD, GPIO_PINS_10)
#define MB_TX_ENABLE gpio_bits_set(GPIOD, GPIO_PINS_10)

//
void modbus_tim_init(void);

//
void modbus_init(void);

//
void test_modbus_port_init(void);

void nop(uint32_t cnt);

//
void mb_tim_test(void);

//
void mb_test_gpio_init(void);

//
void pwm_test(void);

//
void pwm_gpio_config(void);

#endif  // __MISC_H

